#include<bits/stdc++.h>
using namespace std;
int main()
{
	int a, b, x, y;
	scanf("%d%d%d%d",&a, &b, &x, &y);
	if(x==a)
	 if(y==b)
	  printf("nijedan\n");
	 else
	  printf("drugi\n");
	else
	 if(y==b)
	  printf("prvi\n");
	 else
	  printf("?");
	return 0;
}